Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.physics
Class RigidBodyTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          net.sf.j3d.physics.RigidBodyTableModel

All Implemented Interfaces:
  Serializable, TableModel

    public class RigidBodyTableModel

extends AbstractTableModel

Author:
  Mike Murray
See Also:
  Serialized Form

Field Summary
`static int` | `ANGULAR`
`static String[]` | `angularColumnNames`
`static int` | `LINEAR`
`static String[]` | `linearColumnNames`

Constructor Summary
`RigidBodyTableModel(List bodies, int type)`

Method Summary
`int` | `getColumnCount()`
`String` | `getColumnName(int index)`
`int` | `getRowCount()`
`Object` | `getValueAt(int row, int column)`
`boolean` | `isCellEditable(int row, int column)`
`void` | `setValueAt(Object value, int row, int column)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINEAR

    public static final int LINEAR

See Also:
  Constant Field Values

### ANGULAR

    public static final int ANGULAR

See Also:
  Constant Field Values

### linearColumnNames

    public static final String[] linearColumnNames

### angularColumnNames

    public static final String[] angularColumnNames

Constructor Detail

### RigidBodyTableModel

    public RigidBodyTableModel(List bodies,
                               int type)

Method Detail

### getColumnCount

    public int getColumnCount()

  See Also:
    `TableModel.getColumnCount()`

### getRowCount

    public int getRowCount()

  See Also:
    `TableModel.getRowCount()`

### getColumnName

    public String getColumnName(int index)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`
  See Also:
    `javax.swing.table.AbstractTableModel#getColumnName()`

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Specified by:
    `isCellEditable` in interface `TableModel`
  Overrides:
    `isCellEditable` in class `AbstractTableModel`
  See Also:
    `javax.swing.table.AbstractTableModel#isCellEditable()`

### getValueAt

    public Object getValueAt(int row,
                             int column)

  See Also:
    `TableModel.getValueAt(int, int)`

### setValueAt

    public void setValueAt(Object value,
                           int row,
                           int column)

  Specified by:
    `setValueAt` in interface `TableModel`
  Overrides:
    `setValueAt` in class `AbstractTableModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD